A new security patch for SQL Server has been announced. You should pay close attention to this one since it may not be immediately obvious that you have a server that requires this patch. The system I'm working on currently has SQL Server 2005 with Service Pack 3 (okay there) and SQL Server 2008 (also okay). But I almost missed the Windows Server 2008 Internal Database (not okay).

Moral of this post, make sure you scan security advisories carefully. Have your server administrators put a second or third pair of eyeballs on it. Then nothing slips through the cracks.

Here's the URL for the advisory: MS09-004